Python
# To use the Python SDK, install the package:
# pip install memobase
from memobase import MemoBaseClient
memobase = MemoBaseClient(project_url='PROJECT_URL', api_key='PROJECT_TOKEN')
config = memobase.get_config()// To use the JavaScript SDK, install the package:
// npm install @memobase/memobase
import { MemoBaseClient } from '@memobase/memobase';
const client = new MemoBaseClient(process.env.MEMOBASE_PROJECT_URL, process.env.MEMOBASE_API_KEY);
const config = await client.getConfig();// To use the Go SDK, install the package:
// go get github.com/memodb-io/memobase/src/client/memobase-go@latest
import (
"fmt"
"log"
"github.com/memodb-io/memobase/src/client/memobase-go/core"
)
func main() {
projectURL := "YOUR_PROJECT_URL"
apiKey := "YOUR_API_KEY"
// Initialize the client
client, err := core.NewMemoBaseClient(
projectURL,
apiKey,
)
if err != nil {
log.Fatalf("Failed to create client: %v", err)
}
// Get config
config, err := client.GetConfig()
if err != nil {
log.Fatalf("Failed to get config: %v", err)
}
fmt.Printf("Config: %s
", config)
}curl --request GET \
--url https://api.memobase.dev/api/v1/project/profile_config \
--header 'Authorization: Bearer <token>'
{
"data": {
"profile_config": "<string>"
},
"errno": 0,
"errmsg": ""
}Project
Get Current Profile Config
GET
/
api
/
v1
/
project
/
profile_config
Python
# To use the Python SDK, install the package:
# pip install memobase
from memobase import MemoBaseClient
memobase = MemoBaseClient(project_url='PROJECT_URL', api_key='PROJECT_TOKEN')
config = memobase.get_config()// To use the JavaScript SDK, install the package:
// npm install @memobase/memobase
import { MemoBaseClient } from '@memobase/memobase';
const client = new MemoBaseClient(process.env.MEMOBASE_PROJECT_URL, process.env.MEMOBASE_API_KEY);
const config = await client.getConfig();// To use the Go SDK, install the package:
// go get github.com/memodb-io/memobase/src/client/memobase-go@latest
import (
"fmt"
"log"
"github.com/memodb-io/memobase/src/client/memobase-go/core"
)
func main() {
projectURL := "YOUR_PROJECT_URL"
apiKey := "YOUR_API_KEY"
// Initialize the client
client, err := core.NewMemoBaseClient(
projectURL,
apiKey,
)
if err != nil {
log.Fatalf("Failed to create client: %v", err)
}
// Get config
config, err := client.GetConfig()
if err != nil {
log.Fatalf("Failed to get config: %v", err)
}
fmt.Printf("Config: %s
", config)
}Returns the current profile config, Empty if using the default profile config in
config.yaml.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
⌘I